<template>
  <div class="plate-box">
    <h2 class="DetailsTit"><span>{{ title }}</span></h2>
    <div class="plate">
      <ul>
        <li>
          <label>下机护士 : </label>
          <span class="content">{{ nurse }}</span>
        </li>
      </ul>
      <ul>
          <li>
          <label>状态 : </label>
          <span class="content">{{ stage }}</span>
        </li>
      </ul>
      <ul>
        <li>
          <label>下机时间 : </label>
          <span class="content">{{end_time}}</span>
        </li>
      </ul>
    </div>
    <div class="middleLine"></div>
  </div>
</template>

<script>
  import { parseTime } from '@/utils'

export default {
  name: 'DialysisComputer',
  data() {
      return {
        title: '透析下机 '
      }
  },
  props: {
      record: {
        type: Object
      },
      admin_map: {
        type: Object
      }
  },
  computed: {
      stage: function() {
        if (this.record.id == 0) {
          return '未上机'
        }
        return this.record.stage == 1 ? '未下机' : '已下机'
      },
      nurse: function() {
        if (this.record.id == 0) {
          return '-'
        } else if (this.record.stage == 1) {
          return '-'
        } else {
          return this.admin_map[this.record.finish_nurse] == null ? '' : this.admin_map[this.record.finish_nurse].name
        }
      }, end_time: function() {
        if (this.record == null || this.record.id == '') {
          return '-'
        } else if (this.record.stage == 1) {
          return '-'
        } else {
          return parseTime(this.record.end_time, '{y}年{m}月{d}日 {h}时{i}分')
        }
      }
  },
  methods: {

  }
}
</script>

<style rel="stylesheet/scss" lang="scss" scoped>
</style>



